# FactionsBlockListener
Date: 2018-12-06

com.massivecraft.factions.listeners

## Class FactionsBlockListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsBlockListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class FactionsBlockListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Field Summary

Fields
`static java.util.HashMap<java.lang.String,org.bukkit.Location>` `bannerLocations`
`SaberFactions` `saberFactions`

### Constructor Summary

Constructors
Constructor and Description
`FactionsBlockListener(SaberFactions saberFactions)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `onBannerPlace(org.bukkit.event.block.BlockPlaceEvent e)`
`void` `onBlockBreak(org.bukkit.event.block.BlockBreakEvent event)`
`void` `onBlockDamage(org.bukkit.event.block.BlockDamageEvent event)`
`void` `onBlockFromTo(org.bukkit.event.block.BlockFromToEvent event)`
`void` `onBlockPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent event)`
`void` `onBlockPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent event)`
`void` `onBlockPlace(org.bukkit.event.block.BlockPlaceEvent event)`
`void` `onFrostWalker(org.bukkit.event.block.EntityBlockFormEvent event)`
`void` `onHopperPlace(org.bukkit.event.block.BlockPlaceEvent e)`
`void` `onVaultPlace(org.bukkit.event.block.BlockPlaceEvent e)`
`static boolean` `playerCanBuildDestroyBlock(org.bukkit.entity.Player player, org.bukkit.Location location, java.lang.String action, boolean justCheck)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bannerLocations

    public static java.util.HashMap<java.lang.String,org.bukkit.Location> bannerLocations

#### saberFactions

    public SaberFactions saberFactions

### Constructor Detail

#### FactionsBlockListener

    public FactionsBlockListener(SaberFactions saberFactions)

### Method Detail

#### playerCanBuildDestroyBlock

    public static boolean playerCanBuildDestroyBlock(org.bukkit.entity.Player player,
                                                     org.bukkit.Location location,
                                                     java.lang.String action,
                                                     boolean justCheck)

#### onBlockPlace

    public void onBlockPlace(org.bukkit.event.block.BlockPlaceEvent event)

#### onBlockFromTo

    public void onBlockFromTo(org.bukkit.event.block.BlockFromToEvent event)

#### onBlockDamage

    public void onBlockDamage(org.bukkit.event.block.BlockDamageEvent event)

#### onBlockPistonExtend

    public void onBlockPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent event)

#### onVaultPlace

    public void onVaultPlace(org.bukkit.event.block.BlockPlaceEvent e)

#### onHopperPlace

    public void onHopperPlace(org.bukkit.event.block.BlockPlaceEvent e)

#### onBlockPistonRetract

    public void onBlockPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent event)

#### onBannerPlace

    public void onBannerPlace(org.bukkit.event.block.BlockPlaceEvent e)

#### onFrostWalker

    public void onFrostWalker(org.bukkit.event.block.EntityBlockFormEvent event)

#### onBlockBreak

    public void onBlockBreak(org.bukkit.event.block.BlockBreakEvent event)